Installing Brazos Portal with DB2 9.5

Follow

Overview

There are a couple of items that you need to be aware of if you plan on using Brazos Portal with DB2 9.5.

  • DB2 9.5 End of Support (base) was on April 30, 2015
    • See IBM's DB2 support page for more details
    • Given this, BP3 recommends that you use DB2 9.7 or later with your Brazos Portal and IBM BPM installs.
  • DB2 9.5 does not support implicit type conversion. DB2 9.7 and later do support implicit type conversion. This causes one of the Brazos Portal ddl installation commands to fail on DB2 9.5.

How to install Brazos Portal with DB2 9.5

Executing the brazos_portal_db2.ddl file during the Brazos Portal installation on DB2 9.5 will result in error:

DB21034E The command was processed as an SQL statement because it was not a valid Command Line Processor command. During SQL processing it returned:
SQL0401N The data types of the operands for the operation "<>" are not compatible. LINE NUMBER=5. SQLSTATE=42818

In order to work around this error you will need to modify the brazos_portal_db2.dll file:

  1. Edit the brazos_portal_db2.ddl from the brazos_portal zip
  2. Locate the following line:
    WHEN (o.cache <> n.cache)
  3. Replace it with the following line (Brazos Portal will include this as a commented out ddl line in a future release):
    WHEN (CAST(o.cache AS VARCHAR(32672)) <> CAST(n.cache AS VARCHAR(32672)))
  4. Run the ddl file and you should have no more errors
Have more questions? Submit a request

Comments

Powered by Zendesk